# GCP - Secretmanager Privesc

{{#include ../../../banners/hacktricks-training.md}}

## secretmanager

Pour plus d'informations sur secretmanager :

{{#ref}}
../gcp-services/gcp-secrets-manager-enum.md
{{#endref}}

### `secretmanager.versions.access`

Cela vous donne accès à lire les secrets du gestionnaire de secrets et cela pourrait peut-être aider à escalader les privilèges (selon les informations stockées à l'intérieur du secret) :
```bash
# Get clear-text of version 1 of secret: "<secret name>"
gcloud secrets versions access 1 --secret="<secret_name>"
```
Comme il s'agit également d'une technique de post-exploitation, elle peut être trouvée dans :

{{#ref}}
../gcp-post-exploitation/gcp-secretmanager-post-exploitation.md
{{#endref}}

### `secretmanager.secrets.setIamPolicy`

Cela vous donne accès pour lire les secrets du gestionnaire de secrets, comme en utilisant :
```bash
gcloud secrets add-iam-policy-binding <scret-name> \
--member="serviceAccount:<sa-name>@$PROJECT_ID.iam.gserviceaccount.com" \
--role="roles/secretmanager.secretAccessor"
```
{{#include ../../../banners/hacktricks-training.md}}
